package com.example;

import android.app.Activity;
import android.content.Intent;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.widget.ImageView;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;
import android.widget.Toast;

public class WebImageClientActivity extends Activity {
	private static final int REQUEST_CODE = 10;

	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		setContentView(R.layout.main);

		TableLayout ll = (TableLayout) findViewById(R.id.ll);

		// first row
		TableRow tr = new TableRow(this);
		String imgDescription  = "Some description here";
		ImageView iv = ImageUtils.createImageView(this,
				"http://mpiczkowski-test.appspot.com/IMG_8561_OUT.JPG",
				imgDescription);
		tr.addView(iv);

		TextView tv = new TextView(this);
		tv.setText(imgDescription);
		tr.addView(tv);

		tr.setClickable(true);
		tr.setOnTouchListener(new OnTouchListener() {

			@Override
			public boolean onTouch(View v, MotionEvent event) {
				return invokeDetailsPage(v);

			}

		});
		ll.addView(tr);

		// second row
		tr = new TableRow(this);
		imgDescription  = "Other description";
		iv = ImageUtils.createImageView(this,
				"http://mpiczkowski-test.appspot.com/IMG_8217_OUT.JPG",
				imgDescription);
		tr.addView(iv);

		tv = new TextView(this);
		tv.setText(imgDescription);
		tr.addView(tv);
		tr.setClickable(true);
		tr.setOnTouchListener(new OnTouchListener() {

			@Override
			public boolean onTouch(View v, MotionEvent event) {
				return invokeDetailsPage(v);
			}
		});
		ll.addView(tr);

	}

	private boolean invokeDetailsPage(View v) {
		TableRow row = (TableRow) v;
		MyImageView imgView = (MyImageView) row.getChildAt(0);
		//Toast.makeText(v.getContext(), "" + imgView.getSrc(), Toast.LENGTH_LONG).show();
		showIntent(v, imgView.getSrc(), imgView.getTxt());
		return true;
	}

	private void showIntent(View v, String url, String txt) {
		Intent i = new Intent(v.getContext(), ShowDetails.class);
		i.putExtra("src", url);
		i.putExtra("txt", txt);
		// Set the request code to any code you like, you can identify the
		// callback via this code
		startActivityForResult(i, REQUEST_CODE);
	}
}